Bug 1338012 - Packstack fails to configure Compute Node doing ML2&OVS&VLAN deployment RDO Mitaka (Stable release)
Summary: Packstack fails to configure Compute Node doing ML2&OVS&VLAN deployment RDO M...
Keywords:
Status: CLOSED EOL
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: Kilo
Assignee: Martin Magr
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 17:21 UTC by Boris Derzhavets
Modified: 2016-05-31 08:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-31 08:45:16 UTC


Attachments (Terms of Use)
Answer file of packstack deployment ML2&OVS&VLAN (3.21 KB, application/x-gzip)
2016-05-20 17:21 UTC, Boris Derzhavets
no flags Details

Description Boris Derzhavets 2016-05-20 17:21:53 UTC
Created attachment 1160018 [details]
Answer file of packstack deployment ML2&OVS&VLAN

Description of problem:

Failure configure vlan bridge and port to connect to Controller/Network
on Compute Nodes

Version-Release number of selected component (if applicable):

[root@ip-192-169-142-127 ~(keystone_admin)]# rpm -qa \*openstack-packstack\*
openstack-packstack-puppet-8.0.0-1.el7.noarch
openstack-packstack-8.0.0-1.el7.noarch
[root@ip-192-169-142-127 ~(keystone_admin)]# rpm -qa \*nova-common\*
openstack-nova-common-13.0.0-1.el7.noarch


How reproducible:

Ethernet interface eth1 supposed to support vm/data VLAN tagged network connection to Controller/Network Node doesn't become a port of OVS bridge br-eth1. Br-eth1 OVS bridge is not configured on Compute node. File openvswitch_agent.ini is missing required lines, ml2_conf.ini is absent at all. So, neutron-openvswitch-agent at start up is unable to configure required bridges and ports on Compute Node.

Compute Node :-
1.Block is absent on Compute
Bridge "br-eth1"
        Port "br-eth1"
            Interface "br-eth1"
                type: internal
        Port "eth1"
            Interface "eth1"
        Port "phy-br-eth1"
            Interface "phy-br-eth1"
                type: patch
                options: {peer="int-br-eth1"}

2.Block is absent on Compute
Port "int-br-eth1"
            Interface "int-br-eth1"
                type: patch
                options: {peer="phy-br-eth1"}

 
OVS/VLAN configuration on Compute node should be done manually via updating
required files in /etc/neutron/plugins/ml2 folder and copying over from Controller ifcfg-br-eth1 and ifcfg-eth1 into /etc/sysconfig/network-scripts
folder.

Afterwards :-

# openstack-service restart
# chkconfig network on
# systemctl stop Network Manager
# systemctl disable Network Manager 
# service network restart

Steps to Reproduce:
1. Follow Quick Start page setup Miataka Repos on deployment Nodes
2. packstack --answer-file=./answer3Node.txt
3. SSH to Compute node and run `ovs-vsctl show` right after packstack
  completion to make sure that nothing was done by packstack run.

Actual results:

Manual OVS configuration is required on Compute Node(s)

Expected results:

Packstack did OVS configuration properly on Compute Node(s)

Additional info:

Answer file is attached.

Comment 1 Boris Derzhavets 2016-05-20 17:24:49 UTC
Drop down menu of stable releases is missing "Mitaka" entry.

Comment 2 Boris Derzhavets 2016-05-24 19:31:26 UTC
Including following block

CONFIG_NEUTRON_OVS_BRIDGE_MAPPINGS=physnet1:br-eth1
CONFIG_NEUTRON_OVS_BRIDGE_IFACES=br-eth1:eth1
CONFIG_NEUTRON_OVS_BRIDGES_COMPUTE=br-eth1

works on RDO Mitaka. On Compute Node right after packstack completion


[root@ip-192-169-142-137 network-scripts]# ovs-vsctl show
1d944677-a54d-4561-970d-5a6f5e1d628a
    Bridge "br-eth1"
        Port "phy-br-eth1"
            Interface "phy-br-eth1"
                type: patch
                options: {peer="int-br-eth1"}
        Port "eth1"
            Interface "eth1"
        Port "br-eth1"
            Interface "br-eth1"
                type: internal
    Bridge br-int
        fail_mode: secure
        Port br-int
            Interface br-int
                type: internal
        Port "int-br-eth1"
            Interface "int-br-eth1"
                type: patch
                options: {peer="phy-br-eth1"}
    ovs_version: "2.4.0"


The fault is mine. Bug closed.

Comment 3 Ivan Chavero 2016-05-31 08:45:16 UTC
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.


Note You need to log in before you can comment on or make changes to this bug.